Subject: Re: bug#56393: Actually fix the long lines display bug

From: Gerd Möllmann <[email-masked]>
Date: Fri, 8 Jul 2022 07:47:57 +0200

> On 2022-07-07,, at 15:36 , Eli Zaretskii <[email-masked]> wrote:
> 
> It's our current convention for "internal" variables and functions,
> similar to the "internal-" prefix you know about.

Thanks.  Again what learned.

> 
> It was originally supposed to make it easier to move to a more
> sophisticated GC, where it is important to have one place where a
> struct member is set, so that you could do whatever GC needs to do
> with variables that got written to.  Unfortunately, the GC
> modernization is still not here.

Too bad.  It does not improve the "habitability" of the code, IMO.

> 
>> I can almost guarantee that it's not guaranteed that window_end_pos is
>> always right.  But I don't have an alternative, ATM.  Could you please
>> add a TODO or what's customary today in the comment, so it's easier to
>> find?
> 
> Yes, this should test window_end_valid before using window_end_pos.

Right.